/* 
	Editor: https://www.visualmicro.com/
			visual micro and the arduino ide ignore this code during compilation. this code is automatically maintained by visualmicro, manual changes to this file will be overwritten
			the contents of the Visual Micro sketch sub folder can be deleted prior to publishing a project
			all non-arduino files created by visual micro and all visual studio project or solution files can be freely deleted and are not required to compile a sketch (do not delete your own code!).
			note: debugger breakpoints are stored in '.sln' or '.asln' files, knowledge of last uploaded breakpoints is stored in the upload.vmps.xml file. Both files are required to continue a previous debug session without needing to compile and upload again
	
	Hardware: Arduino Nano w/ ATmega328P (Old Bootloader), Platform=avr, Package=arduino
*/

#define __AVR_ATmega328p__
#define __AVR_ATmega328P__
#define ARDUINO 10801
#define ARDUINO_MAIN
#define F_CPU 16000000L
#define __AVR__
#define F_CPU 16000000L
#define ARDUINO 10801
#define ARDUINO_AVR_NANO
#define ARDUINO_ARCH_AVR
//
//
void ht1632_chipselect(byte chipno);
void ht1632_chipfree(byte chipno);
void ht1632_writebits (byte bits, byte firstbit);
static void ht1632_sendcmd (byte d, byte command);
static void ht1632_senddata (byte d, byte address, byte data);
void ht1632_setup();
void ht1632_plot (char x, char y, char val);
byte get_shadowram(byte x, byte y);
void snapshot_shadowram();
byte get_snapshotram(byte x, byte y);
void ht1632_clear();
void fade_down();
void fade_up();
void ht1632_putchar(byte x, byte y, char c);
void ht1632_putbigchar(byte x, byte y, char c);
void ht1632_puttinychar(byte x, byte y, char c);
void ht1632_putbinarychar(byte x, byte y, char c);
bool is_special_event();
void display_event (byte line, char mess[], bool tiny);
void binary();
void digits();
void pong();
byte pong_get_ball_endpoint(float tempballpos_x, float  tempballpos_y, float  tempballvel_x, float tempballvel_y);
void pong_setup();
void word_clock();
void jumble();
void normal();
void slide();
void slideanim(byte x, byte y, byte sequence, char current_c, char new_c);
bool check_show_date();
void set_next_date();
void display_date();
void levelbar (byte xpos, byte ypos, byte xbar, byte ybar);
void flashing_cursor(byte xpos, byte ypos, byte cursor_width, byte cursor_height, byte repeats);
void button_delay(int wait);
void switch_mode();
void setup_menu();
void set_dst();
byte run_mode();
void set_random();
void set_next_random();
void set_ampm();
void set_brightness();
void printver();
void set_time();
int set_value(byte message, int current_value, int reset_value, int rollover_limit);
void get_time();
void convTemp (void);
void displayNum(int num);
void clearSSD();
void ssdTime();
float DS3231_get_treg();
void PIRcontrol (void);

#include "pins_arduino.h" 
#include "arduino.h"
#include "pongclock5_6.ino"
